export default { title: 'FenceInputDate' };

export const simpleDatePicker = () => ({
    template: `
        <FenceInputDate />
    `,
});

export const withVModel = () => ({
    data() {
        return {
            value: new Date(),
        };
    },
    template: `
        <div>
            <FenceInputDate
                v-model="value"
            />
            <br>
            <b>Selected Date: </b> {{ value }}
        </div>
    `,
});

export const fenceGenericInput = () => ({
    template: `
        <div>
            <FenceGenericInput
                type="date"
                v-model="value"
            />
            <br>
            <b>Selected Date: </b> {{ value }}
        </div>
    `,
    data() {
        return {
            value: new Date(),
        };
    },
});

export const dateRange = () => ({
    template: `
        <div>
            <FenceInputDate
                v-model="value"
                mode="range"
            />
            <br>
            <b>Date Range: </b> {{ value }}
        </div>
    `,
    data() {
        return {
            value: null,
        };
    },
});
