import { mapMutations } from 'vuex';

export default {
    methods: {
        ...mapMutations('fence/content', [
            'setTitle',
            'setActions',
        ]),
        updateTitle() {
            this.setTitle(this.contentTitle);
        },
        updateActions() {
            this.setActions(this.contentActions);
        },
        updateContent() {
            this.updateTitle();
            this.updateActions();
        },
    },
    created() {
        this.updateContent();
    },
    activated() {
        this.updateContent();
    },
    watch: {
        contentTitle() {
            this.updateTitle();
        },
        contentActions() {
            this.updateActions();
        },
    },
};
