const state = {
    title: '',
    titlePrefix: '',
    titleSuffix: '',
};

const mutations = {
    updateTitle(state) {
        const title = state.titleSuffix
            ? `${state.titlePrefix} | ${state.titleSuffix}`
            : state.titlePrefix;

        state.title = title;
    },
    setTitlePrefix(state, prefix) {
        state.titlePrefix = prefix;
    },
    setTitleSuffix(state, suffix) {
        state.titleSuffix = suffix;
    },
};

export default {
    namespaced: true,
    state,
    mutations,
};
